# operator==,!=(std::istreambuf_iterator)

From cppreference.com
< cpp‎ | iterator‎ | istreambuf iterator

template< class CharT, class Traits > bool operator==( const istreambuf_iterator<CharT,Traits>& lhs, const istreambuf_iterator<CharT,Traits>& rhs ); | (1) |
template< class CharT, class Traits > bool operator!=( const istreambuf_iterator<CharT,Traits>& lhs, const istreambuf_iterator<CharT,Traits>& rhs ); | (2) |

Checks whether both `lhs` and `rhs` are valid, or both are invalid, regardless of the stream buffer objects they use.

1) Equivalent to lhs.equal(rhs).
2) Equivalent to !lhs.equal(rhs).

### Parameters

lhs, rhs | - | stream buffer iterators to compare

### Return value

1) The result of lhs.equal(rhs).
2) The result of !lhs.equal(rhs).

### Exceptions

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/istreambuf_iterator/operator_cmp&oldid=105252"